Bug 694369 - Should clear analyzer log when starting a new analysis
Summary: Should clear analyzer log when starting a new analysis
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-07 06:44 UTC by Christopher Aillon
Modified: 2011-06-24 03:24 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:24:02 UTC


Attachments (Terms of Use)

Description Christopher Aillon 2011-04-07 06:44:17 UTC
abrt-2.0.0-4.fc15.x86_64

I tried to send something to the retrace server, and failed.  I clicked back, and clicked on the GDB analyze option.  The error message from the retrace server failure was still on top.

Expected it to have gone away.

Comment 1 Denys Vlasenko 2011-05-19 12:26:42 UTC
Fixed in git by commit a85425b512b631201f5b6c56146e503c36274e43.

Now log has delimiting empty line, and a header:
Example:
==============================================
--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 14 debuginfo files, 1 of them are not installed
Looking for needed packages in repositories
Packages to download: 1
Downloading 225.55Mb, installed size: 1047.79Mb
Downloading package kernel-PAE-debuginfo-2.6.38.5-24.fc15.i686 failed
Removing /tmp/abrt-tmp-debuginfo-2011-05-19-14:19:06.31552
Missing debuginfo file: /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b.debug
Backtrace is generated and saved, 8575 bytes

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 14 debuginfo files, 1 of them are not installed
Looking for needed packages in repositories
Packages to download: 1
Downloading 225.55Mb, installed size: 1047.79Mb
Downloading package kernel-PAE-debuginfo-2.6.38.5-24.fc15.i686 failed
Removing /tmp/abrt-tmp-debuginfo-2011-05-19-14:20:17.31586
Missing debuginfo file: /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b.debug
Backtrace is generated and saved, 8575 bytes

====================================================

Comment 2 Fedora Update System 2011-06-21 13:43:55 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 3 Fedora Update System 2011-06-21 23:54:57 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-24 03:21:54 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.